summaryrefslogtreecommitdiff
path: root/dev-ruby/hashdiff/hashdiff-1.1.2.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/hashdiff/hashdiff-1.1.2.ebuild')
-rw-r--r--dev-ruby/hashdiff/hashdiff-1.1.2.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/dev-ruby/hashdiff/hashdiff-1.1.2.ebuild b/dev-ruby/hashdiff/hashdiff-1.1.2.ebuild
new file mode 100644
index 000000000000..2fbeb9cc3607
--- /dev/null
+++ b/dev-ruby/hashdiff/hashdiff-1.1.2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="changelog.md README.md"
+RUBY_FAKEGEM_GEMSPEC="hashdiff.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple Hash extension to make working with nested hashes easier"
+HOMEPAGE="https://github.com/liufengyun/hashdiff"
+SRC_URI="https://github.com/liufengyun/hashdiff/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos ~x64-solaris"
+
+all_ruby_prepare() {
+ sed -e 's/__dir__/"."/' \
+ -e '/test_files/ s:^:#:' \
+ -e 's/git ls-files/find * -print/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ sed -i -e '/simplecov/I s:^:#:' spec/spec_helper.rb || die
+}